=== debian/changelog ===
ghc6 (6.12.1-13ubuntu1) maverick; urgency=low

  * Backport some fixes from Debian experimental to fix issues in the
    Ubuntu package without having to upgrade to a new release. The
    following changelog entries are copied from the Debian
    changelog. Thanks to Kari Pahula (kaol) for implementing the
    fixes. As soon as 6.12.3 is in unstable, ghc6 can be synced again.
  * Only insert packages in gen_contents_index which are both registered
    and for which the html directory exists.
  * Use ghc-pkg --global in ghc6's trigger to avoid accessing HOME.
    (Closes: #578679) (LP: #596784)
  * Fix directories in haddock manpage.  (Closes: #578321)
  * Downgrade ghc6's dependency on perl to Suggests and have ghc6-doc
    depend on perl.  (Closes: #553332)
  * Standards-Version 3.9.0 (no changes necessary)
  * ghc6 package now provides ghc6-ghci on architectures where it's
    supported (i386 and amd64 only currently).

 -- Iain Lane <laney@ubuntu.com>  Wed, 25 Aug 2010 14:03:34 +0100

ghc6 (6.12.1-13) unstable; urgency=low

  * Remove debian/watcher.sh.  (Closes: #571824)
  * Don't ship /var/lib/ghc-6.12.1/package.conf.d/package.cache with ghc6.
    (Closes: #574417)
  * Patch compiler/rename/RnSource.lhs to make hlist happy.
  * Remove some more generated .hc files in debian/rules clean.
  * Don't ship broken symlink /usr/lib/ghc-6.12.1/package.conf

 -- Kari Pahula <kaol@debian.org>  Sat, 17 Apr 2010 10:35:25 +0300

ghc6 (6.12.1-12) unstable; urgency=low

  * Fix the kfreebsd-* patch.
  * Don't die in ghc6's trigger if ghc-pkg check fails.  (Closes: #570921)
  * Recognise DEB_BUILD_OPTIONS=parallel.

 -- Kari Pahula <kaol@debian.org>  Mon, 22 Feb 2010 15:08:48 +0200

ghc6 (6.12.1-11) unstable; urgency=low

  * Add "unset LC_ALL\nexport LC_CTYPE=en_US" to bin/ghc wrapper on ia64.
  * Actually append GhcWithInterpreter=YES to mk/build.mk on kfreebsd-*,
    don't just echo it to stdout.

 -- Kari Pahula <kaol@debian.org>  Mon, 22 Feb 2010 03:24:02 +0200

ghc6 (6.12.1-10) unstable; urgency=low

  * Use dh_haskell_depends from haskell-devscripts to create provides
    including the packages ABI.
  * Make provided substvar for utf8-string too.
  * Run "ghc-pkg check" in ghc6's trigger also.
  * Added a stub /usr/share/doc/ghc6-doc/index.html that redirects to
    html/index.html.

 -- Kari Pahula <kaol@debian.org>  Fri, 19 Feb 2010 18:08:57 +0200

ghc6 (6.12.1-9) unstable; urgency=low

  * Remove /usr/lib/ghc-$(ProjectVersion)/lib/haddock (ie. the internal
    haddock binary that ghc6 used at build time) from the ghc6 package.
  * Install haddock's files from /usr/share/haddock-$VERSION in ghc6
    package, not ghc6-doc.

 -- Kari Pahula <kaol@debian.org>  Sat, 13 Feb 2010 02:49:11 +0200

ghc6 (6.12.1-8) unstable; urgency=low

  * Use tabs instead of 8 spaces in debian/rules for ia64 specific flags.

 -- Kari Pahula <kaol@debian.org>  Wed, 10 Feb 2010 13:19:32 +0200

ghc6 (6.12.1-7) unstable; urgency=low

  * Include patches to haddock to ghc6's own patches and don't apply them
    in debian/rules.
  * Update the patch for alpha.
  * ghc6-doc depends on ghc6 (>= ${binary:Version}), not haddock.
  * Upload to unstable.

 -- Kari Pahula <kaol@debian.org>  Tue, 09 Feb 2010 23:45:14 +0200

ghc6 (6.12.1-6) experimental; urgency=low

  * Use some more compiler flags to make ghc6 build on ia64 for real.
  * Patch TcForeign.lhs and EventLog.c to make ghc6 build on alpha.

 -- Kari Pahula <kaol@debian.org>  Mon, 08 Feb 2010 13:58:59 +0200

ghc6 (6.12.1-5) experimental; urgency=low

  * Included haddock with the ghc6 package.  Provides, conflicts and
    replaces haddock.  Copied over haddock.1 from the haddock package.
  * Build with UseLibFFIForAdjustors=YES on alpha.
  * Set ghc6 depend on libc6-dev. (Closes: #567809)
  * Standards-Version 3.8.4, no changes necessary.
  * Patch up the sources some more for kfreebsd. (Closes: #567298)

 -- Kari Pahula <kaol@debian.org>  Fri, 05 Feb 2010 12:05:15 +0200

ghc6 (6.12.1-4) experimental; urgency=low

  * Patched utils/haddock/src/Haddock/Interface/Create.hs to use
    lookupGlobalName instead of lookupName when GHCI is
    unavailable. (Closes: #566331)

 -- Kari Pahula <kaol@debian.org>  Thu, 28 Jan 2010 11:46:55 +0200

ghc6 (6.12.1-3) experimental; urgency=low

  * Updated ghc-pkg's man page.
  * Added a trigger to run ghc-pkg recache when files are added to
    /var/lib/ghc-6.12.1/package.conf.d/.
  * Patch rts/posix/OSThreads.c to define _GNU_SOURCE on kfreebsd
    too. (Closes: #565818)
  * Patch utils/haddock/src/Haddock/Interface/AttachInstances.hs to use
    Nothing as mb_info in attachInstances when GHCI is
    unavailable. (Closes: #566331)
  * Breaks cabal-install (<< 0.8.0).

 -- Kari Pahula <kaol@debian.org>  Wed, 27 Jan 2010 23:37:32 +0200

ghc6 (6.12.1-2) experimental; urgency=low

  * Added missing build dependency: libncurses5-dev.
  * Use the included haddock to build documentation and drop the
    build-depends-indep on haddock.

 -- Kari Pahula <kaol@debian.org>  Wed, 13 Jan 2010 10:02:15 +0200

ghc6 (6.12.1-1) experimental; urgency=low

  * New upstream release (Closes: #539789)
    * System.Posix.Semaphore fixed. (Closes: #544127)
  * Switch to dpkg-source 3.0 (quilt) format
  * Standards-Version 3.8.3 (no changes necessary).
  * Added a dependency on libbsd-dev (Closes: #549403)
  * Patched compiler/utils/Panic.lhs to add a message to internal GHC
    error messages, suggesting removing .hi files and pointing to
    README.Debian. (Closes: #532443)
  * Don't alter Binary.hs and just let Ints to be stored in architecture
    native format.
  * Don't set XMLDocWays in build.mk since it's not used anymore.
  * Remove lpia arch from debian/rules.
  * Split debian/rules binary to binary-arch and binary-indep. (Closes: #543972)
  * Set SRC_HC_OPTS += -lffi in build.mk and update the patch
    system-libffi to use Debian's packaged libffi.
  * Update the patch to make the build system use /usr/bin/haddock and not
    build its own.


