=== debian/control ===
Source: ghc6
Section: haskell
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 7), libgmp3-dev, devscripts, ghc6, grep-dctrl, autotools-dev, gcc (>= 4:4.2), procps | hurd, libffi-dev, autoconf, pkg-config, xsltproc, docbook-xsl, docbook-xml, binutils (>= 2.19.51.20090508) [arm armel], libncurses5-dev
Homepage: http://haskell.org/ghc/

Package: ghc6
Architecture: any
Depends: gcc (>= 4:4.2), libgmp3-dev, libffi-dev, libbsd-dev, libc6-dev, ${shlibs:Depends}, ${misc:Depends}
Provides: haskell-compiler, ghc, haddock, ${provided-devs}, ${haskell:Provides}, ${ghci}
Replaces: haddock, ghc6-doc (= 6.12.1-8)
Breaks: cabal-install (<< 0.8.0), haskell-devscripts (<< 0.6.19), ghc6-doc (<= 6.12.1-8)
Suggests: perl, ghc6-prof, ghc6-doc, haskell-doc
Description: GHC - the Glasgow Haskell Compilation system
 Version 6 of the Glorious Glasgow Haskell Compilation system (GHC).  GHC is
 a compiler for Haskell98.
 .
 Haskell is "the" standard lazy functional programming language. Haskell98
 is the current version of the language. The language definition and
 additional documentation can be found in the `haskell-doc' package.
 Alternatively, there is an online version at
 http://haskell.org/onlinereport/.

Package: ghc6-prof
Architecture: any
Provides: ghc-prof, ${provided-profs}, ${haskell:Provides}
Depends: ghc6 (= ${binary:Version}), ${misc:Depends}
Description: Profiling libraries for the Glasgow Haskell Compilation system
 Version 6 of the Glorious Glasgow Haskell Compilation system (GHC).  GHC is
 a compiler for Haskell98.
 .
 Haskell is "the" standard lazy functional programming language. Haskell98
 is the current version of the language. The language definition and
 additional documentation can be found in the `haskell-doc' package.
 Alternatively, there is an online version at
 http://haskell.org/onlinereport/.
 .
 This package contains additional profiling libraries. They are only needed,
 if you want to take a closer look on where exactly your program burns CPU
 cycles.

Package: ghc6-doc
Section: doc
Architecture: all
Suggests: haskell-doc
Provides: ${provided-docs}
Depends: ghc6 (>= ${binary:Version}), ${misc:Depends}
Description: Documentation for the Glasgow Haskell Compilation system
 Version 6 of the Glorious Glasgow Haskell Compilation system (GHC).  GHC is
 a compiler for Haskell98.
 .
 Haskell is "the" standard lazy functional programming language. Haskell98
 is the current version of the language. The language definition and
 additional documentation can be found in the `haskell-doc' package.
 Alternatively, there is an online version at
 http://haskell.org/onlinereport/.
 .
 This package includes HTML, DVI and PS versions of the SGML-based
 documentation around GHC.
